<template>
  <ZoneObject v-for="zoneObject in zoneStore.zone?.zoneObjects" :tilemap="tilemap" :zoneObject />
</template>

<script setup lang="ts">
import { useZoneStore } from '@/stores/zoneStore'
import ZoneObject from '@/components/game/zone/partials/ZoneObject.vue'

const zoneStore = useZoneStore()

defineProps<{
  tilemap: Phaser.Tilemaps.Tilemap
}>()
</script>
